Bug 570046 - <programlistingco> that includes empty lines in the programlisting causes build error
<programlistingco> that includes empty lines in the programlisting causes bui...
Status: CLOSED ERRATA
Product: Publican
Classification: Community
Component: publican (Show other bugs)
1.6
All Linux
low Severity medium
: ---
: ---
Assigned To: Jeff Fearn
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-03-02 23:01 EST by Richard Wilding
Modified: 2010-11-23 23:18 EST (History)
5 users (show)

See Also:
Fixed In Version: publican-1.6.1-0.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-03-23 20:46:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Richard Wilding 2010-03-02 23:01:10 EST
Description of problem:
This problem applies to programlistings with callouts.
<programlisingco> is a parent tag for applying callouts to a progamlisting. If the programlisting contains any empty lines with no data, Publican will fail when building HTML.

Example:
            <programlistingco role="XML">
                <areaspec>
                    <area id="subclass1" coords="2 55"/>
                    <area id="subclass2" coords="3 55"/>
                    <area id="subclass3" coords="4 55"/>
                    <area id="subclass4" coords="5 55"/>
                </areaspec>
                <programlisting role="XML"><![CDATA[<subclass
        name="X"
        discriminator-value="x"
        proxy="x"
        lazy="x"
        dynamic-update="x"
        dynamic-insert="x"
        entity-name="x"

        <property .... />
        .....
</subclass>]]></programlisting>


Version-Release number of selected component (if applicable):
Publican 1.5

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:
DEBUG: Publican::Builder: Highlighting XML
LibXSLT: error coming back from perl-dispatcher in pm file. Empty String at /usr/lib/perl5/vendor_perl/5.10.0/Publican/Builder.pm line 1201

 at /usr/lib/perl5/vendor_perl/5.10.0/Publican/Builder.pm line 744

Expected results:


Additional info:
Comment 1 Richard Wilding 2010-03-09 19:11:39 EST
A workaround exists:

insert a space in the empty line so that the String is not empty
Comment 3 Ruediger Landmann 2010-03-22 02:25:31 EDT
Verified fixed in 1.6.1
Comment 4 Fedora Update System 2010-03-23 20:13:03 EDT
publican-1.6.1-0.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/publican-1.6.1-0.fc12
Comment 5 Fedora Update System 2010-03-23 20:13:37 EDT
publican-1.6.1-0.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/publican-1.6.1-0.fc11
Comment 6 Fedora Update System 2010-03-23 20:14:07 EDT
publican-1.6.1-0.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/publican-1.6.1-0.fc13
Comment 7 Fedora Update System 2010-03-23 20:46:22 EDT
publican-1.6.1-0.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2010-03-24 19:35:56 EDT
publican-1.6.1-0.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2010-03-24 19:37:37 EDT
publican-1.6.1-0.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.